MPI_Cart_coords(3)

NAME
MPI_Cart_coords - Determines process coords in Cartesian topology given rank in group.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Cart_coords(MPI_Comm comm, int rank, int maxdims,
	int coords[])

Fortran Syntax
INCLUDE 'mpif.h'
MPI_CART_COORDS(COMM, RANK, MAXDIMS, COORDS, IERROR)
	INTEGER	COMM, RANK, MAXDIMS, COORDS(*), IERROR

C++ Syntax
#include <mpi.h>
void Cartcomm::Get_coords(int rank, int maxdims,
	int coords[]) const

INPUT PARAMETERS

comm
    Communicator with Cartesian structure (handle).

rank
    Rank of a process within group of comm (integer).

maxdims
     Length of vector coord in the calling program (integer).

OUTPUT PARAMETERS

coords
    Integer array (of size ndims,which was defined by MPI_Cart_create call) containing the Cartesian coordinates of specified process (integer).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Cart_coords provies a mapping of ranks to Cartesian coordinates.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.